diff --git a/hledger/hledger.info b/hledger/hledger.info
index 5e83daa2f..804fe7491 100644
--- a/hledger/hledger.info
+++ b/hledger/hledger.info
@@ -7114,48 +6751,52 @@ File: hledger.info,  Node: Posting field names,  Prev: Transaction field names,
 13.2.2.2 Posting field names
 ............................
 
-account `accountN', where N is 1 to 99, causes a posting to be
+account 'accountN', where N is 1 to 99, causes a posting to be
 generated, with that account name.
 
-   Most often there are two postings, so you'll want to set `account1'
-and `account2'. Typically `account1' is associated with the CSV file,
-and is set once with a top-level assignment, while `account2' is set
+   Most often there are two postings, so you'll want to set 'account1'
+and 'account2'.  Typically 'account1' is associated with the CSV file,
+and is set once with a top-level assignment, while 'account2' is set
 based on each transaction's description, and in conditional blocks.
 
    If a posting's account name is left unset but its amount is set (see
 below), a default account name will be chosen (like "expenses:unknown"
-or "income:unknown").  amount `amountN' sets posting N's amount. If the
-CSV uses separate fields for inflows and outflows, you can use
-`amountN-in' and `amountN-out' instead. By assigning to `amount1',
-`amount2', ... etc. you can generate anywhere from 0 to 99 postings.
+or "income:unknown").  amount 'amountN' sets the Nth posting's amount.
+By assigning to 'amount1', 'amount2', ...  etc.  you can generate up to
+99 postings.
 
-   There is also an older, unnumbered form of these names, suitable for
-2-posting transactions, which sets both posting 1's and (negated)
-posting 2's amount: `amount', or `amount-in' and `amount-out'. This is
-still supported because it keeps pre-hledger-1.17 csv rules files
-working, and because it can be more succinct, and because it converts
-posting 2's amount to cost if there's a transaction price, which can be
-useful.
+   If the CSV uses separate fields for debits and credits (inflows and
+outflows), you can use 'amountN-in' and 'amountN-out' instead.  Note
+hledger assumes both of these fields are unsigned, and will
+automatically negate the "-out" value.  If the fields are signed, see
+"Setting amounts" below.
+
+   There is also an unnumbered form of these names: 'amount', or
+'amount-in' and 'amount-out'.  This is supported to keep
+pre-hledger-1.17 CSV rules files working (and for occasional
+convenience).  It is suitable only for two-posting transactions; it sets
+both posting 1's and posting 2's amount.  Posting 2's amount will be
+negated, and also converted to cost if there's a transaction price.
 
    If you have an existing rules file using the unnumbered form, you
 might want to use the numbered form in certain conditional blocks,
-without having to update and retest all the old rules. To facilitate
-this, posting 1 ignores `amount'/`amount-in'/`amount-out' if any of
-`amount1'/`amount1-in'/`amount1-out' are assigned, and posting 2
-ignores them if any of `amount2'/`amount2-in'/`amount2-out' are
-assigned, avoiding conflicts.  currency If the CSV has the currency
-symbol in a separate field (ie, not part of the amount field), you can
-use `currencyN' to prepend it to posting N's amount. Or, `currency'
-with no number affects all postings.  balance `balanceN' sets a balance
+without having to update and retest all the old rules.  To facilitate
+this, posting 1 ignores 'amount'/'amount-in'/'amount-out' if any of
+'amount1'/'amount1-in'/'amount1-out' are assigned, and posting 2 ignores
+them if any of 'amount2'/'amount2-in'/'amount2-out' are assigned,
+avoiding conflicts.  currency If the CSV has the currency symbol in a
+separate field (ie, not part of the amount field), you can use
+'currencyN' to prepend it to posting N's amount.  Or, 'currency' with no
+number affects all postings.  balance 'balanceN' sets a balance
 assertion amount (or if the posting amount is left empty, a balance
 assignment) on posting N.
 
-   Also, for compatibility with hledger <1.17: `balance' with no number
-is equivalent to `balance1'.
+   Also, for compatibility with hledger <1.17: 'balance' with no number
+is equivalent to 'balance1'.
 
    You can adjust the type of assertion/assignment with the
-`balance-type' rule (see below).  comment Finally, `commentN' sets a
-comment on the Nth posting. Comments can also contain tags, as usual.
+'balance-type' rule (see below).  comment Finally, 'commentN' sets a
+comment on the Nth posting.  Comments can also contain tags, as usual.
 
    See TIPS below for more about setting amounts and currency.
 
@@ -7165,16 +6806,14 @@ File: hledger.info,  Node: field assignment,  Next: separator,  Prev: fields,  U
 13.2.3 field assignment
 -----------------------
 
-
 HLEDGERFIELDNAME FIELDVALUE
 
-Instead of or in addition to a fields list, you can use a "field
+   Instead of or in addition to a fields list, you can use a "field
 assignment" rule to set the value of a single hledger field, by writing
 its name (any of the standard hledger field names above) followed by a
-text value. The value may contain interpolated CSV fields, referenced by
-their 1-based position in the CSV record (`%N'), or by the name they
-were given in the fields list (`%CSVFIELDNAME'). Some examples:
-
+text value.  The value may contain interpolated CSV fields, referenced
+by their 1-based position in the CSV record ('%N'), or by the name they
+were given in the fields list ('%CSVFIELDNAME').  Some examples:
 
 # set the amount to the 4th CSV field, with " USD" appended
 amount %4 USD
@@ -7182,45 +6821,41 @@ amount %4 USD
 # combine three fields to make a comment, containing note: and date: tags
 comment note: %somefield - %anotherfield, date: %1
 
-   Interpolation strips outer whitespace (so a CSV value like `" 1 "'
-becomes `1' when interpolated) (#1051). See TIPS below for more about
+   Interpolation strips outer whitespace (so a CSV value like '" 1 "'
+becomes '1' when interpolated) (#1051).  See TIPS below for more about
 referencing other fields.
 
 
 File: hledger.info,  Node: separator,  Next: if block,  Prev: field assignment,  Up: CSV rules
 
-13.2.4 `separator'
+13.2.4 'separator'
 ------------------
 
-You can use the `separator' rule to read other kinds of
-character-separated data. The argument is any single separator
-character, or the words `tab' or `space' (case insensitive).  Eg, for
+You can use the 'separator' rule to read other kinds of
+character-separated data.  The argument is any single separator
+character, or the words 'tab' or 'space' (case insensitive).  Eg, for
 comma-separated values (CSV):
 
-
 separator ,
 
    or for semicolon-separated values (SSV):
 
-
 separator ;
 
    or for tab-separated values (TSV):
 
-
 separator TAB
 
-   If the input file has a `.csv', `.ssv' or `.tsv' file extension (or
-a `csv:', `ssv:', `tsv:' prefix), the appropriate separator will be
+   If the input file has a '.csv', '.ssv' or '.tsv' file extension (or a
+'csv:', 'ssv:', 'tsv:' prefix), the appropriate separator will be
 inferred automatically, and you won't need this rule.
 
 
 File: hledger.info,  Node: if block,  Next: if table,  Prev: separator,  Up: CSV rules
 
-13.2.5 `if' block
+13.2.5 'if' block
 -----------------
 
-
 if MATCHER
  RULE
 
@@ -7231,9 +6866,10 @@ MATCHER
  RULE
  RULE
 
-Conditional blocks ("if blocks") are a block of rules that are applied
-only to CSV records which match certain patterns. They are often used
-for customising account names based on transaction descriptions.
+   Conditional blocks ("if blocks") are a block of rules that are
+applied only to CSV records which match certain patterns.  They are
+often used for customising account names based on transaction
+descriptions.
 
 * Menu:
 
@@ -7250,21 +6886,20 @@ File: hledger.info,  Node: Matching the whole record,  Next: Matching individual
 
 Each MATCHER can be a record matcher, which looks like this:
 
-
 REGEX
 
    REGEX is a case-insensitive regular expression that tries to match
-anywhere within the CSV record. It is a POSIX ERE (extended regular
-expression) that also supports GNU word boundaries (`\b', `\B', `\<',
-`\>'), and nothing else. If you have trouble, be sure to check our doc:
+anywhere within the CSV record.  It is a POSIX ERE (extended regular
+expression) that also supports GNU word boundaries ('\b', '\B', '\<',
+'\>'), and nothing else.  If you have trouble, be sure to check our doc:
 https://hledger.org/hledger.html#regular-expressions
 
    Important note: the record that is matched is not the original
 record, but a synthetic one, with any enclosing double quotes (but not
 enclosing whitespace) removed, and always comma-separated (which means
-that a field containing a comma will appear like two fields). Eg, if the
-original record is `2020-01-01; "Acme, Inc.";  1,000', the REGEX will
-actually see `2020-01-01,Acme, Inc.,  1,000').
+that a field containing a comma will appear like two fields).  Eg, if
+the original record is '2020-01-01; "Acme, Inc."; 1,000', the REGEX will
+actually see '2020-01-01,Acme, Inc., 1,000').
 
 
 File: hledger.info,  Node: Matching individual fields,  Next: Combining matchers,  Prev: Matching the whole record,  Up: if block
@@ -7274,12 +6909,11 @@ File: hledger.info,  Node: Matching individual fields,  Next: Combining matchers
 
 Or, MATCHER can be a field matcher, like this:
 
-
 %CSVFIELD REGEX
 
-   which matches just the content of a particular CSV field. CSVFIELD
+   which matches just the content of a particular CSV field.  CSVFIELD
 is a percent sign followed by the field's name or column number, like
-`%date' or `%1'.
+'%date' or '%1'.
 
 
 File: hledger.info,  Node: Combining matchers,  Next: Rules applied on successful match,  Prev: Matching individual fields,  Up: if block
@@ -7290,10 +6924,9 @@ File: hledger.info,  Node: Combining matchers,  Next: Rules applied on successfu
 A single matcher can be written on the same line as the "if"; or
 multiple matchers can be written on the following lines, non-indented.
 Multiple matchers are OR'd (any one of them can match), unless one
-begins with an `&' symbol, in which case it is AND'ed with the previous
+begins with an '&' symbol, in which case it is AND'ed with the previous
 matcher.
 
-
 if
 MATCHER
 & MATCHER
@@ -7306,23 +6939,19 @@ File: hledger.info,  Node: Rules applied on successful match,  Prev: Combining m
 ..........................................
 
 After the patterns there should be one or more rules to apply, all
-indented by at least one space. Three kinds of rule are allowed in
+indented by at least one space.  Three kinds of rule are allowed in
 conditional blocks:
 
    * field assignments (to set a hledger field)
-
    * skip (to skip the matched CSV record)
-
    * end (to skip all remaining CSV records).
 
    Examples:
 
-
 # if the CSV record contains "groceries", set account2 to "expenses:groceries"
 if groceries
  account2 expenses:groceries
 
-
 # if the CSV record contains any of these patterns, set account2 and comment as shown
 if
 monthly service fee
@@ -7334,28 +6963,26 @@ banking thru software
 
 File: hledger.info,  Node: if table,  Next: end,  Prev: if block,  Up: CSV rules
 
-13.2.6 `if' table
+13.2.6 'if' table
 -----------------
 
-
 if,CSVFIELDNAME1,CSVFIELDNAME2,...,CSVFIELDNAMEn
 MATCHER1,VALUE11,VALUE12,...,VALUE1n
 MATCHER2,VALUE21,VALUE22,...,VALUE2n
 MATCHER3,VALUE31,VALUE32,...,VALUE3n
 <empty line>
 
-Conditional tables ("if tables") are a different syntax to specify field
-assignments that will be applied only to CSV records which match certain
-patterns.
+   Conditional tables ("if tables") are a different syntax to specify
+field assignments that will be applied only to CSV records which match
+certain patterns.
 
    MATCHER could be either field or record matcher, as described above.
 When MATCHER matches, values from that row would be assigned to the CSV
-fields named on the `if' line, in the same order.
+fields named on the 'if' line, in the same order.
 
-   Therefore `if' table is exactly equivalent to a sequence of of `if'
+   Therefore 'if' table is exactly equivalent to a sequence of of 'if'
 blocks:
 
-
 if MATCHER1
   CSVFIELDNAME1 VALUE11
   CSVFIELDNAME2 VALUE12
@@ -7378,18 +7005,17 @@ if MATCHER3
 empty) values for all the listed fields.
 
    Rules would be checked and applied in the order they are listed in
-the table and, like with `if' blocks, later rules (in the same or
-another table) or `if' blocks could override the effect of any rule.
+the table and, like with 'if' blocks, later rules (in the same or
+another table) or 'if' blocks could override the effect of any rule.
 
    Instead of ',' you can use a variety of other non-alphanumeric
-characters as a separator. First character after `if' is taken to be
-the separator for the rest of the table. It is the responsibility of
+characters as a separator.  First character after 'if' is taken to be
+the separator for the rest of the table.  It is the responsibility of
 the user to ensure that separator does not occur inside MATCHERs and
 values - there is no way to escape separator.
 
    Example:
 
-
 if,account2,comment
 atm transaction fee,expenses:business:banking,deductible? check it
 %description groceries,expenses:groceries,
@@ -7398,13 +7024,12 @@ atm transaction fee,expenses:business:banking,deductible? check it
 
 File: hledger.info,  Node: end,  Next: date-format,  Prev: if table,  Up: CSV rules
 
-13.2.7 `end'
+13.2.7 'end'
 ------------
 
 This rule can be used inside if blocks (only), to make hledger stop
 reading this CSV file and move on to the next input file, or to command
-execution. Eg:
-
+execution.  Eg:
 
 # ignore everything following the first empty record
 if ,,,,
@@ -7413,32 +7038,27 @@ if ,,,,
 
 File: hledger.info,  Node: date-format,  Next: decimal-mark,  Prev: end,  Up: CSV rules
 
-13.2.8 `date-format'
+13.2.8 'date-format'
 --------------------
 
-
 date-format DATEFMT
 
-This is a helper for the `date' (and `date2') fields. If your CSV dates
-are not formatted like `YYYY-MM-DD', `YYYY/MM/DD' or `YYYY.MM.DD',
+   This is a helper for the 'date' (and 'date2') fields.  If your CSV
+dates are not formatted like 'YYYY-MM-DD', 'YYYY/MM/DD' or 'YYYY.MM.DD',
 you'll need to add a date-format rule describing them with a strptime
 date parsing pattern, which must parse the CSV date value completely.
 Some examples:
 
-
 # MM/DD/YY
 date-format %m/%d/%y
 
-
 # D/M/YYYY
 # The - makes leading zeros optional.
 date-format %-d/%-m/%Y
 
-
 # YYYY-Mmm-DD
 date-format %Y-%h-%d
 
-
 # M/D/YYYY HH:MM AM some other junk
 # Note the time and junk must be fully parsed, though only the date is used.
 date-format %-m/%-d/%Y %l:%M %p some other junk
@@ -7449,19 +7069,17 @@ https://hackage.haskell.org/package/time/docs/Data-Time-Format.html#v:formatTime
 
 File: hledger.info,  Node: decimal-mark,  Next: newest-first,  Prev: date-format,  Up: CSV rules
 
-13.2.9 `decimal-mark'
+13.2.9 'decimal-mark'
 ---------------------
 
-
 decimal-mark .
 
-or:
-
+   or:
 
 decimal-mark ,
 
    hledger automatically accepts either period or comma as a decimal
-mark when parsing numbers (cf Amounts). However if any numbers in the
+mark when parsing numbers (cf Amounts).  However if any numbers in the
 CSV contain digit group marks, such as thousand-separating commas, you
 should declare the decimal mark explicitly with this rule, to avoid
 misparsed numbers.
@@ -7469,24 +7087,21 @@ misparsed numbers.
 
 File: hledger.info,  Node: newest-first,  Next: include,  Prev: decimal-mark,  Up: CSV rules
 
-13.2.10 `newest-first'
+13.2.10 'newest-first'
 ----------------------
 
-hledger always sorts the generated transactions by date. Transactions on
-the same date should appear in the same order as their CSV records, as
-hledger can usually auto-detect whether the CSV's normal order is oldest
-first or newest first. But if all of the following are true:
+hledger always sorts the generated transactions by date.  Transactions
+on the same date should appear in the same order as their CSV records,
+as hledger can usually auto-detect whether the CSV's normal order is
+oldest first or newest first.  But if all of the following are true:
 
    * the CSV might sometimes contain just one day of data (all records
      having the same date)
-
-   * the CSV records are normally in reverse chronological order
-     (newest at the top)
-
+   * the CSV records are normally in reverse chronological order (newest
+     at the top)
    * and you care about preserving the order of same-day transactions
 
-   then, you should add the `newest-first' rule as a hint. Eg:
-
+   then, you should add the 'newest-first' rule as a hint.  Eg:
 
 # tell hledger explicitly that the CSV is normally newest first
 newest-first
@@ -7494,18 +7109,16 @@ newest-first
 
 File: hledger.info,  Node: include,  Next: balance-type,  Prev: newest-first,  Up: CSV rules
 
-13.2.11 `include'
+13.2.11 'include'
 -----------------
 
-
 include RULESFILE
 
-This includes the contents of another CSV rules file at this point.
-`RULESFILE' is an absolute file path or a path relative to the current
-file's directory. This can be useful for sharing common rules between
+   This includes the contents of another CSV rules file at this point.
+'RULESFILE' is an absolute file path or a path relative to the current
+file's directory.  This can be useful for sharing common rules between
 several rules files, eg:
 
-
 # someaccount.csv.rules
 
 ## someaccount-specific rules
@@ -7519,23 +7132,21 @@ include categorisation.rules
 
 File: hledger.info,  Node: balance-type,  Prev: include,  Up: CSV rules
 
-13.2.12 `balance-type'
+13.2.12 'balance-type'
 ----------------------
 
 Balance assertions generated by assigning to balanceN are of the simple
-`=' type by default, which is a single-commodity, subaccount-excluding
-assertion. You may find the subaccount-including variants more useful,
-eg if you have created some virtual subaccounts of checking to help
-with budgeting. You can select a different type of assertion with the
-`balance-type' rule:
-
+'=' type by default, which is a single-commodity, subaccount-excluding
+assertion.  You may find the subaccount-including variants more useful,
+eg if you have created some virtual subaccounts of checking to help with
+budgeting.  You can select a different type of assertion with the
+'balance-type' rule:
 
 # balance assertions will consider all commodities and all subaccounts
 balance-type ==*
 
    Here are the balance assertion types for quick reference:
 
-
 =    single commodity, exclude subaccounts
 =*   single commodity, include subaccounts
 ==   multi commodity,  exclude subaccounts
@@ -7569,16 +7180,15 @@ File: hledger.info,  Node: Rapid feedback,  Next: Valid CSV,  Up: Tips
 ---------------------
 
 It's a good idea to get rapid feedback while creating/troubleshooting
-CSV rules. Here's a good way, using entr from
+CSV rules.  Here's a good way, using entr from
 http://eradman.com/entrproject :
 
-
 $ ls foo.csv* | entr bash -c 'echo ----; hledger -f foo.csv print desc:SOMEDESC'
 
-   A desc: query (eg) is used to select just one, or a few,
-transactions of interest. "bash -c" is used to run multiple commands,
-so we can echo a separator each time the command re-runs, making it
-easier to read the output.
+   A desc: query (eg) is used to select just one, or a few, transactions
+of interest.  "bash -c" is used to run multiple commands, so we can echo
+a separator each time the command re-runs, making it easier to read the
+output.
 
 
 File: hledger.info,  Node: Valid CSV,  Next: File Extension,  Prev: Rapid feedback,  Up: Tips
@@ -7586,11 +7196,10 @@ File: hledger.info,  Node: Valid CSV,  Next: File Extension,  Prev: Rapid feedba
 13.3.2 Valid CSV
 ----------------
 
-hledger accepts CSV conforming to RFC 4180. When CSV values are enclosed
-in quotes, note:
+hledger accepts CSV conforming to RFC 4180.  When CSV values are
+enclosed in quotes, note:
 
    * they must be double quotes (not single quotes)
-
    * spaces outside the quotes are not allowed
 
 
@@ -7600,16 +7209,14 @@ File: hledger.info,  Node: File Extension,  Next: Reading multiple CSV files,  P
 ---------------------
 
 To help hledger identify the format and show the right error messages,
-CSV/SSV/TSV files should normally be named with a `.csv', `.ssv' or
-`.tsv' filename extension. Or, the file path should be prefixed with
-`csv:', `ssv:' or `tsv:'. Eg:
-
+CSV/SSV/TSV files should normally be named with a '.csv', '.ssv' or
+'.tsv' filename extension.  Or, the file path should be prefixed with
+'csv:', 'ssv:' or 'tsv:'.  Eg:
 
 $ hledger -f foo.ssv print
 
    or:
 
-
 $ cat foo | hledger -f ssv:- foo
 
    You can override the file extension with a separator rule if needed.
@@ -7621,9 +7228,9 @@ File: hledger.info,  Node: Reading multiple CSV files,  Next: Valid transactions
 13.3.4 Reading multiple CSV files
 ---------------------------------
 
-If you use multiple `-f' options to read multiple CSV files at once,
+If you use multiple '-f' options to read multiple CSV files at once,
 hledger will look for a correspondingly-named rules file for each CSV
-file. But if you use the `--rules-file' option, that rules file will be
+file.  But if you use the '--rules-file' option, that rules file will be
 used for all the CSV files.
 
 
@@ -7640,10 +7247,9 @@ the problem entry.
 
    There is one exception: balance assertions, if you have generated
 them, will not be checked, since normally these will work only when the
-CSV data is part of the main journal. If you do need to check balance
+CSV data is part of the main journal.  If you do need to check balance
 assertions generated from CSV right away, pipe into another hledger:
 
-
 $ hledger -f file.csv print | hledger -f- print
 
 
@@ -7657,25 +7263,23 @@ transactions, the new file may overlap with the old one, containing some
 of the same records.
 
    The import command will (a) detect the new transactions, and (b)
-append just those transactions to your main journal. It is idempotent,
+append just those transactions to your main journal.  It is idempotent,
 so you don't have to remember how many times you ran it or with which
-version of the CSV. (It keeps state in a hidden `.latest.FILE.csv'
-file.)  This is the easiest way to import CSV data. Eg:
-
+version of the CSV. (It keeps state in a hidden '.latest.FILE.csv'
+file.)  This is the easiest way to import CSV data.  Eg:
 
 # download the latest CSV files, then run this command.
 # Note, no -f flags needed here.
 $ hledger import *.csv [--dry]
 
-   This method works for most CSV files. (Where records have a stable
+   This method works for most CSV files.  (Where records have a stable
 chronological order, and new records appear only at the new end.)
 
    A number of other tools and workflows, hledger-specific and
-otherwise, exist for converting, deduplicating, classifying and
-managing CSV data.  See:
+otherwise, exist for converting, deduplicating, classifying and managing
+CSV data.  See:
 
    * https://hledger.org -> sidebar -> real world setups
-
    * https://plaintextaccounting.org -> data import/conversion
 
 
@@ -7689,67 +7293,66 @@ Some tips on using the amount-setting rules discussed above.
    Here are the ways to set a posting's amount:
 
   1. *If the CSV has a single amount field:*
-     Assign (via a fields list or a field assignment) to `amountN'. This
-     sets the Nth posting's amount. N is usually 1 or 2 but can go up
-     to 99.
+     Assign (via a fields list or a field assignment) to 'amountN'.
+     This sets the Nth posting's amount.  N is usually 1 or 2 but can go
+     up to 99.
 
-  2. *If the CSV has separate Debit and Credit amount fields:*
-     Assign to `amountN-in' and `amountN-out'. This sets posting N's
-     amount to whichever of these has a non-zero value, guessing an
-     appropriate sign.
+  2. *If the CSV has separate amount fields for debit & credit (in &
+     out):*
 
-        * *If hledger guesses the wrong sign:*
-          Prepend a minus sign to flip it. Eg:
+       a. *If both fields are unsigned:*
+          Assign to 'amountN-in' and 'amountN-out'.  This sets posting
+          N's amount to whichever of these has a non-zero value, and
+          negates the "-out" value.
 
+       b. *If either field is signed (can contain a minus sign):*
+          Use a conditional rule to flip the sign (of non-empty values).
+          Since hledger always negates amountN-out, if it was already
+          negative, we must undo that by negating once more (but only if
+          the field is non-empty):
 
-          fields date, description, amount-in, amount-out
-          amount-out -%amount-out
+     fields date, description, amount1-in, amount1-out
+     if %amount1-out [1-9]
+      amount1-out -%amount1-out
 
-        * *If both fields contain a non-zero value:*
-          The `amountN-in'/`amountN-out' rules require that each CSV
-          record has a non-zero value in exactly one of the two fields,
-          so that hledger knows which to choose. So these would all be
-          rejected:
+       c. *If both fields, or neither field, can contain a non-zero
+          value:*
+          hledger normally expects exactly one of the fields to have a
+          non-zero value.  Eg, the 'amountN-in'/'amountN-out' rules
+          would reject value pairs like these:
 
+     "",  ""
+     "0", "0"
+     "1", "none"
 
-          "",  ""
-          "0", "0"
-          "1", "none"
+     So, use smarter conditional rules to set the amount from the
+     appropriate field.  Eg, these rules would make it use only the
+     value containing non-zero digits, handling the above:
 
-          If your CSV has amount values like this, use conditional
-          rules instead.  For example, to make hledger to choose the
-          value containing non-zero digits:
+     fields date, description, in, out
+     if %in [1-9]
+      amount1 %in
+     if %out [1-9]
+      amount1 %out
 
-
-          fields date, description, in, out
-          if %in [1-9]
-           amount1 %in
-          if %out [1-9]
-           amount1 %out
-
-
-  3. *Using the old numberless syntax:*
-     Assign to `amount' (or to `amount-in' and `amount-out').  This
-     sets posting 1's and posting 2's amounts (and converts posting 2's
-     amount to cost). This is supported for backwards compatibility (and
-     occasional convenience).
+  3. *If you are stuck with hledger <1.17, or you want posting 2's
+     amount converted to cost:*
+     Assign to 'amount' (or to 'amount-in' and 'amount-out').  (The old
+     numberless syntax, which sets amount1 and amount2.)
 
   4. *If the CSV has the balance instead of the transaction amount:*
-     Assign to `balanceN', which sets posting N's amount indirectly via
-     a balance assignment. (Old syntax: `balance', equivalent to
-     `balance1'.)
+     Assign to 'balanceN', which sets posting N's amount indirectly via
+     a balance assignment.  (Old syntax: 'balance', equivalent to
+     'balance1'.)
 
         * *If hledger guesses the wrong default account name:*
           When setting the amount via balance assertion, hledger may
-          guess the wrong default account name. So, set the account
+          guess the wrong default account name.  So, set the account
           name explicitly, eg:
 
-
           fields date, description, balance1
           account1 assets:checking
 
-
-
 
 File: hledger.info,  Node: Amount signs,  Next: Setting currency/commodity,  Prev: Setting amounts,  Up: Tips
 
@@ -7760,22 +7363,21 @@ There is some special handling for amount signs, to simplify parsing and
 sign-flipping:
 
    * *If an amount value begins with a plus sign:*
-     that will be removed: `+AMT' becomes `AMT'
+     that will be removed: '+AMT' becomes 'AMT'
 
    * *If an amount value is parenthesised:*
-     it will be de-parenthesised and sign-flipped: `(AMT)' becomes
-     `-AMT'
+     it will be de-parenthesised and sign-flipped: '(AMT)' becomes
+     '-AMT'
 
    * *If an amount value has two minus signs (or two sets of
      parentheses, or a minus sign and parentheses):*
-     they cancel out and will be removed: `--AMT' or `-(AMT)' becomes
-     `AMT'
+     they cancel out and will be removed: '--AMT' or '-(AMT)' becomes
+     'AMT'
 
    * *If an amount value contains just a sign (or just a set of
      parentheses):*
-     that is removed, making it an empty value. `"+"' or `"-"' or
-     `"()"' becomes `""'.
-
+     that is removed, making it an empty value.  '"+"' or '"-"' or
+     '"()"' becomes '""'.
 
 
 File: hledger.info,  Node: Setting currency/commodity,  Next: Amount decimal places,  Prev: Amount signs,  Up: Tips
@@ -7786,51 +7388,43 @@ File: hledger.info,  Node: Setting currency/commodity,  Next: Amount decimal pla
 If the currency/commodity symbol is included in the CSV's amount
 field(s):
 
-
 2020-01-01,foo,$123.00
 
    you don't have to do anything special for the commodity symbol, it
-will be assigned as part of the amount. Eg:
-
+will be assigned as part of the amount.  Eg:
 
 fields date,description,amount
 
-
 2020-01-01 foo
     expenses:unknown         $123.00
     income:unknown          $-123.00
 
    If the currency is provided as a separate CSV field:
 
-
 2020-01-01,foo,USD,123.00
 
-   You can assign that to the `currency' pseudo-field, which has the
+   You can assign that to the 'currency' pseudo-field, which has the
 special effect of prepending itself to every amount in the transaction
 (on the left, with no separating space):
 
-
 fields date,description,currency,amount
 
-
 2020-01-01 foo
     expenses:unknown       USD123.00
     income:unknown        USD-123.00
 
    Or, you can use a field assignment to construct the amount yourself,
-with more control. Eg to put the symbol on the right, and separated by a
-space:
-
+with more control.  Eg to put the symbol on the right, and separated by
+a space:
 
 fields date,description,cur,amt
 amount %amt %cur
 
-
 2020-01-01 foo
     expenses:unknown        123.00 USD
     income:unknown         -123.00 USD
 
-   Note we used a temporary field name (`cur') that is not `currency' -
+   Note we used a temporary field name ('cur') that is not 'currency' -
 that would trigger the prepending effect, which we don't want here.
 
 
@@ -7840,7 +7434,7 @@ File: hledger.info,  Node: Amount decimal places,  Next: Referencing other field
 -----------------------------
 
 Like amounts in a journal file, the amounts generated by CSV rules like
-`amount1' influence commodity display styles, such as the number of
+'amount1' influence commodity display styles, such as the number of
 decimal places displayed in reports.
 
    The original amounts as written in the CSV file do not affect display
@@ -7853,11 +7447,10 @@ File: hledger.info,  Node: Referencing other fields,  Next: How CSV rules are ev
 --------------------------------
 
 In field assignments, you can interpolate only CSV fields, not hledger
-fields. In the example below, there's both a CSV field and a hledger
+fields.  In the example below, there's both a CSV field and a hledger
 field named amount1, but %amount1 always means the CSV field, not the
 hledger field:
 
-
 # Name the third CSV field "amount1"
 fields date,description,amount1
 
